'****************************************************************
'*  Name    : Amicus18_26K22.inc                                *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2016 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 05/02/2016                                        *
'*  Version : 1.0                                               *
'*  Notes   :                                                   *
'*          :                                                   *
'****************************************************************
'
$ifndef _AMICUS18_INC
$define _AMICUS18_INC
'
' Header file for use with the Amicus18 board
'
    Device = 18F26K22
    Declare Xtal = 64
    Declare Optimiser_Level = 2
    Declare Dead_Code_Remove = 1

'-------------------------------------------------------------------------------
'    Declare Hserial_Baud = 9600                 ' Set baud rate to 9600
'    Declare Hserial_RCSTA = %10010000           ' Enable serial port and continuous receive
'    Declare Hserial_TXSTA = %00100000           ' Enable transmit and asynchronous mode
'    Declare Hserial_Clear = 1                   ' Enable Error clearing on received characters
'-------------------------------------------------------------------------------
'Calculated Baudrate = 9598 @ Xtal 64MHz, Error = -0,02%
    Declare Hserial_RCSTA  = %10010000      ' Enable continuous receive 
    Declare Hserial_TXSTA  = %00100100      ' Enable transmit, BRGH = 1
    Declare Hserial_Clear  = On             ' Clear overflow automatically
    Declare Hserial_SPBRG  = $82            ' Baud Rate Generator Low Byte Value
    SPBRGH         = $06                    ' Baud Rate Generator High Byte Value
    BAUDCON.3      = 1                      ' Enable the 16 bit Baud Rate Generator
'-------------------------------------------------------------------------------

Config_Start
    Debug = Off       ' Background debugger disabled' RB6 and RB7 configured as general purpose I/O pins
    WDTEN = Off       ' WDT disabled (control is placed on SWDTEN bit)
    FOSC = HSMP       ' HS oscillator (low power 4 to 16 MHz)
    PLLCFG = On       ' Oscillator multiplied by 4
    XINST = Off       ' Extra Instruction Set Disabled
    FCMEN = On        ' Fail-Safe Clock Monitor enabled
    IESO = Off        ' Oscillator Switchover mode disabled
    PWRTEN = On       ' PWRT on
    BOREN = On        ' Brown-out Reset enabled and controlled by software (SBOREN is enabled)
    BORV = 190        ' VBOR set to 1.9 V nominal
    WDTPS = 128       ' 1:128
    MCLRE = EXTMCLR   ' MCLR pin enabled, RE3 input pin disabled
    HFOFST = Off      ' The system clock is held off until the HF-INTOSC is stable.
    PRICLKEN = On     ' Primary clock enabled
    PBADEN = Off      ' PORTB<4:0> pins are configured as digital I/O on Reset
    CCP2MX = PORTC1   ' CCP2 input/output is multiplexed with RC1
    CCP3MX = PORTB5   ' P3A/CCP3 input/output is multiplexed with RB5
    T3CMX = PORTC0    ' T3CKI is on RC0
    P2BMX = PORTB5    ' P2B is on RB5
    STVREN = On       ' Stack full/underflow will cause Reset
    LVP = Off         ' Single-Supply ICSP disabled
    Cp0 = OFF	      'Block 0 (000800-003FFFh) not code-protected
    CP1 = OFF	      'Block 1 (004000-007FFFh) not code-protected
    CP2 = OFF	      'Block 2 (008000-00BFFFh) not code-protected
    CP3 = OFF	      'Block 3 (00C000-00FFFFh) not code-protected
    CPB = OFF	      'Boot block (000000-0007FFh) not code-protected
    CPD = OFF	      'Data EEPROM not code-protected
    WRT0 = OFF	      'Block 0 (000800-003FFFh) not write-protected
    WRT1 = OFF	      'Block 1 (004000-007FFFh) not write-protected
    WRT2 = OFF	      'Block 2 (008000-00BFFFh) not write-protected
    WRT3 = OFF	      'Block 3 (00C000-00FFFFh) not write-protected
    WRTC = OFF	      'Configuration registers (300000-3000FFh) not write-protected
    WRTB = OFF	      'Boot Block (000000-0007FFh) not write-protected
    WRTD = OFF	      'Data EEPROM not write-protected
    EBTR0 = OFF	      'Block 0 (000800-003FFFh) not protected from table reads executed in other blocks
    EBTR1 = OFF	      'Block 1 (004000-007FFFh) not protected from table reads executed in other blocks
    EBTR2 = OFF	      'Block 2 (008000-00BFFFh) not protected from table reads executed in other blocks
    EBTR3 = OFF	      'Block 3 (00C000-00FFFFh) not protected from table reads executed in other blocks
    EBTRB = OFF	      'Boot Block (000000-0007FFh) not protected from table reads executed in other blocks
Config_End

    Symbol CR = 13      ' carriage return
    Symbol LF = 10      ' Linefeed
    Symbol BS = 08      ' Backspace
    Symbol ESC = $1B    ' Escape
    Symbol TRUE = 1
    Symbol FALSE = 0
    Symbol ACK = 6
    Symbol STX = 2
    Symbol ETX = 3
    Symbol SPACE = $20

    ANSELA = 0
    ANSELB = 0
    ANSELC = 0        

    ADCON0 = 0
    CM1CON0 = 0
    CM2CON0 = 0
    CM2CON1 = 0

$endif

